<?php
/**
 * Application Error
 *
 * PHP versions 5
 *
 * @copyright     Copyright (c) 2011 - 2012, National Institute of Informatics,
 * @license       BSD License (http://creativecommons.org/licenses/BSD/)
 */
class AppError extends ErrorHandler {

	/**
	 * ページアクセス不正
	 * @param $params
	 */
	function cannotAccess($params) {
//		$this->controller->set('url', $params['url']);
//		$this->_outputMessage('cannot_access');
		$this->_outputMessage('not_found');
	}

	/**
	 * shbboleth属性が見つからない
	 * @param $params
	 */
	function attributeNotFound($params) {
		$this->_outputMessage('attribute_not_found');
	}

	/**
	 * ページが見つからない
	 * @param unknown_type $params
	 */
	function notFound($params) {
		$this->_outputMessage('not_found');
	}

	/**
	 * APIが見つからない
	 * @param $params
	 */
	function jsonNotFound($params) {
		$this->controller->layout = 'api';
		$this->_outputMessage('json_not_found');
	}

	/**
	 * APIアクセス不可
	 * @param $params
	 */
	function jsonCannotAccess($params) {
		$this->controller->layout = 'api';
		$this->_outputMessage('json_cannot_access');
	}

	/**
	 * 不正アクセス
	 * @param unknown_type $params
	 */
	function illegalAccess($params) {
		$this->_outputMessage('illegal_access');
	}

	/**
	 * システムエラー
	 * @param unknown_type $params
	 */
	function systemError($params) {
		$this->_outputMessage('system_error');
	}

	/**
	 * Bad Request
	 * @param unknown_type $params
	 */
	function badRequest($params) {
		$this->_outputMessage('bad_request');
	}
}
?>
