<?php
/**
 * Email configuration file.
 *
 * PHP versions 5
 *
 * @copyright     Copyright (c) 2016, SOUM Corporation.
 * @copyright     Copyright (c) 2011 - 2012, National Institute of Informatics,
 * @license       BSD License (http://creativecommons.org/licenses/BSD/)
 */
class MailConfig {
	var $smtpOptions = array(
			'port'=> 25,
			'host' => 'localhost',
			'timeout' => 60,
     );

	var $from = "GakuNin Cloud Gateway Service Support <noreply@cg.gakunin.jp>";

	var $titlePrefix = "[GakuNinCloudGS] ";
	var $debug = array('on' => false, 'address' => 'nii-cloudgateway-log@soum.co.jp');
	var $titles = array(
		'join.group' => array('ja' => 'グループ入会', 'eng' => 'Join group'),
		'quit.group' => array('ja' => 'グループ退会', 'eng' => 'Leave group'),
		'invite.mail' => array('ja' => '招待メール', 'eng' => 'Invitation email'),
		'join.sp.admin' => array('ja' => 'SPコネクタの管理者', 'eng' => 'SP Connector administrator'),
		'add.group' => array('ja' => 'グループ接続連絡', 'eng' => 'Group connection contact'),
		'application.admin' => array('ja' => '管理者の申請', 'eng' => 'Administrator application'),
		'join.group.approval' => array('ja' => '入会承認', 'eng' => 'Approval of membership'),
		'quit.group.approval' => array('ja' => '退会承認', 'eng' => 'Approval for leaving a group'),
		'arrival.confirmation' => array('ja' => 'メール到達確認', 'eng' => 'Confirm email arrival'),
		'agreement.use.attribute' => array('ja' => '送信される属性の同意', 'eng' => 'Agreement of sending attributes'),
		'enter.extended.attribute' => array('ja' => '拡張属性の入力', 'eng' => 'Enter extended attributes'),
		'account.confirmation' => array('ja' => 'アカウント継続利用の確認', 'eng' => 'Confirm account continued use'),
		'delete.eppns' => array('ja' => 'ePPNの自動削除', 'eng' => 'Automatic deletion of ePPNs'),
	);
	var $line = "-----------------------------------------------------------------------";
	var $footer_jp;
	var $footer_jp_map = "このメールは学認クラウドゲートウェイサービスから送られています。\n配信専用メールアドレスから配信されているため返信頂いても回答できません。\nhttps://cg.gakunin.jp/";
	var $footer_jp_test = "このメールは学認クラウドゲートウェイサービス(dev)から送られています。\n配信専用メールアドレスから配信されているため返信頂いても回答できません。\nhttps://dev.cg.gakunin.jp/";
	var $footer_eng;
	var $footer_eng_map = "This message has been sent by GakuNin Cloud Gateway Service.\nPlease do not reply to this email address. You will not receive \nany response to such emails.\nhttps://cg.gakunin.jp/";
	var $footer_eng_test = "This message has been sent by GakuNin Cloud Gateway Service (dev).\nPlease do not reply to this email address. You will not receive \nany response to such emails.\nhttps://dev.cg.gakunin.jp/";

	public function __construct(){
		$this->footer_jp = $this->line."\n".$this->footer_jp_map."\n".$this->line;
		$this->footer_eng = $this->line."\n".$this->footer_eng_map."\n".$this->line;

		if (isset($_SERVER['HTTP_HOST']) && $_SERVER['HTTP_HOST'] != Configure::read("production.host")) {
			$this->from = "Cloud Gateway Support (dev) <noreply@cg.gakunin.jp>";
			$this->titlePrefix = "[CloudGateway(dev)] ";

			$this->footer_jp = $this->line."\n".$this->footer_jp_test."\n".$this->line;
			$this->footer_eng = $this->line."\n".$this->footer_eng_test."\n".$this->line;
		}
	}
}
