<?php
/**
 * System configurations file
 *
 * PHP versions 5
 *
 * @copyright     Copyright (c) 2016, SOUM Corporation.
 * @copyright     Copyright (c) 2011 - 2012, National Institute of Informatics,
 * @license       BSD License (http://creativecommons.org/licenses/BSD/)
 */

/**
 * Production Environment Links
 */
$config["production"] = array(
    "host"  => "cg.gakunin.jp",
	"loginlink" => "https://cg.gakunin.jp/Shibboleth.sso/DS?target=",
	"context_path" => '/map',
);

/**
 * Test Environment Links
 */
$config["test"] = array(
    "host"  => "dev.cg.gakunin.jp",
	"loginlink" => "https://dev.cg.gakunin.jp/Shibboleth.sso/DS?target=",
	"context_path" => '/map',
);

/**
 * Limit number of page display
 */
$config["page"] = array(
	"grouplimit" => 50,
	"memberlimit" => 200,
	"statelimit" => 200,
	"historylimit" => 50,
);

/**
 * Accounce URL
 */
$config["announce"] = array(
    "url"  => "https://meatwiki.nii.ac.jp/confluence/rest/api/content/8717029",
    "query" => array("expand" => "body.anonymous_export_view")
);

/**
 * Stipulation of Use URL
 */
$config["stipulation_of_use"] = "https://cloud.gakunin.jp/dist/pdf/stipulation_util.pdf";

/**
 * Privacy Policy URL
 */
$config["privacy_policy"] = array(
	"default" => "https://www.rois.ac.jp/pdf/kojinkitei.pdf",
	"cloudgateway" => "https://www.rois.ac.jp/pdf/kojinkitei.pdf",
	"account" => "https://www.rois.ac.jp/pdf/kojinkitei.pdf",
);

/**
 * Guidelines of Use URL
 */
$config["guidelines_of_use"] = array(
	"default" => "https://meatwiki.nii.ac.jp/confluence/x/_IHyAQ",
	"cloudgateway" => "https://meatwiki.nii.ac.jp/confluence/x/K2NHAQ",
	"account" => "https://meatwiki.nii.ac.jp/confluence/x/_IHyAQ",
);

/**
 * Help Desk's mail addreess
 */
$config["helpdesk"] = array(
	"default" => "https://forge.gakunin.nii.ac.jp/collectors/cg-inquiry.html",
	"cloudgateway" => "https://forge.gakunin.nii.ac.jp/collectors/cg-inquiry.html",
);

$config["group_icons"] = range(1, 20);
$config["group_icon_titles"] = array(
	1 => 'doctor', 2 => 'book', 3 => 'pencil', 4 => 'notebook', 5 => 'flask',
	6 => 'microscope', 7 => 'atom', 8 => 'library', 9 => 'earth', 10 => 'pc',
	11 => 'checklist', 12  => 'bookmark', 13 => 'blackboard', 14 => 'telescope', 15 => 'english',
	16 => 'palette', 17 => 'pen', 18 => 'compass and ruler', 19 => 'insect', 20 => 'bus');

$config['spc_group_icons'] = array('book', 'mail', 'database', 'desk', 'calendar', 'gear', 'time', 'search', 'pin', 'pc', 'library', 'group', 'cloud', 'chat');

$config['agreement_values'] = array(
	'ismemberof'   => array('label' => 'group.id',        'use' => 'group.id'),
	'eptid'        => array('label' => 'eptid',           'use' => 'eptid'),
	'name'         => array('label' => 'name',            'use' => 'name'),
	'mail'         => array('label' => 'mailaddress',     'use' => 'mailaddress'),
	'eppn'         => array('label' => 'eppn',            'use' => 'eppn'),
	'organization' => array('label' => 'affiliation',     'use' => 'mailaddress'),
	'idp'          => array('label' => 'affiliation.idp', 'use' => 'affiliation.idp'),
	'language'     => array('label' => 'language',        'use' => 'language'),
	'introduction' => array('label' => 'my.introduction', 'use' => 'my.introduction'),
);

/** クライアント証明書関連 */
$config['CAPATH'] = '/opt/shibboleth-idp/credentials/';
$config['SSLCERT'] = '/opt/shibboleth-idp/credentials/server.crt';
$config['SSLKEY'] = '/opt/shibboleth-idp/credentials/server.key';

/** meatmailのSPコネクタID */
// for test-map
//$config['meatmail_spcid'] = 153;
// for gakunin-map
$config['meatmail_spcid'] = 164;


/** 代理入力機能の有無 */
$config['agency'] = true; 

/** 代理入力グループに自動接続するSPコネクタID */
// for production (ex. cgp.gakunin.nii.ac.jp)
$config['agency_autoconnect_spcidList'] = array(217);
// for develop (ex. cgp-dev.gakunin.nii.ac.jp)
//$config['agency_autoconnect_spcidList'] = array(644);


/** 申請方法へのリンク */
$config['entrylink'] = array(
	'url' => 'https://cloud.gakunin.jp/cgw/',
);


/** 参加機関 */
$config['participants'] = array(
	'https://idp.gakunin.nii.ac.jp/idp/shibboleth',
);
$config['participantslink'] = 'https://cloud.gakunin.jp/institution/#institution-02';
$config['link_for_nonparticipant'] = 'https://meatwiki.nii.ac.jp/confluence/x/IAOGAQ#id-%E9%81%8E%E5%8E%BB%E3%81%AE%E3%81%8A%E7%9F%A5%E3%82%89%E3%81%9B-2018/05/02%E6%8E%B2%E8%BC%89%E3%80%812018/07/04%E6%9B%B4%E6%96%B0';


/** 未参加だが学認外なので利用申請不可 */
$config['non_gakunin_participants'] = array(
	'https://openidp.nii.ac.jp/idp/shibboleth',
);


/** DiscoFeed */
// for Production Federation
$config['discofeed'] = array(
	"url" => "https://ds.gakunin.nii.ac.jp/DiscoFeed/"
);
// for Test Federation
//$config['discofeed'] = array(
//	"url" => "https://office.gakunin.nii.ac.jp/TestFed/export/discofeed/"
//);

/**
 * Help Page URL
 */
$config["help_page"] = array(
        "default" => "https://meatwiki.nii.ac.jp/confluence/display/gakuninmappublic/Home",
        "/map/top/index" => "https://meatwiki.nii.ac.jp/confluence/pages/viewpage.action?pageId=17927724",
);

/**
 * System administrator's e-mail address
 */
$config["system_admin_email"] = "cloudgateway-log@nii.ac.jp";


?>
