<?php
/**
 * Callback Component
 *
 * PHP versions 5
 *
 * @copyright     Copyright (c) 2011 - 2012, National Institute of Informatics,
 * @license       BSD License (http://creativecommons.org/licenses/BSD/)
 */
class CallbackComponent extends Object {

	var $SpHost;

	function initialize(&$controller) {
		$this->controller =& $controller;
		$this->SpHost = ClassRegistry::init('SpHost');
	}

	function call($spid, $url) {
		$this->log('CallbackComponent#call start spid='.$spid.' url='.$url, "info");
		if (empty($url)) {
			return null;
		}
		$ch = curl_init($url);
		curl_setopt($ch, CURLOPT_HEADER, false);
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
		curl_setopt($ch, CURLOPT_FAILONERROR, true);
		curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 2);
		curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
		curl_setopt($ch, CURLOPT_CERTINFO, true);

		curl_setopt($ch, CURLOPT_CAPATH, Configure::read('CAPATH'));
		curl_setopt($ch, CURLOPT_SSLCERT, Configure::read('SSLCERT'));
		curl_setopt($ch, CURLOPT_SSLKEY, Configure::read('SSLKEY'));

		$result = curl_exec($ch);
		$this->log('CallbackComponent#call result='.$result, "info");
		if(curl_errno($ch)) {
			$this->log('curl_error='.curl_error($ch), "error");
			$this->log('CallbackComponent#call curl_error='.curl_error($ch), "info");
		}
		$certinfo = curl_getinfo($ch, CURLINFO_CERTINFO);
		curl_close($ch);

		$search = array(
			"-----BEGIN CERTIFICATE-----",
			"-----END CERTIFICATE-----",
			"\n",
			"\r",
			" "
		);
	        $cert = str_replace($search, "", $certinfo['0']['Cert']);
		$this->log('CallbackComponent#call cert='.$cert,  "info");

		if (!$this->SpHost->verifyCertificate($spid, $cert)) {
			$this->log('CallbackComponent#call certificate verification failure',  "info");
			return null;
		}

		$json = json_decode($result, true);
		$this->log('CallbackComponent#call json='.var_export($json, true), "info");
		$this->log('CallbackComponent#call end', "info");
		return $json;
	}
}
?>