<?php
/**
 * ParameterReplacer Componet
 *
 * PHP versions 5
 *
 * @copyright     Copyright (c) 2011 - 2012, National Institute of Informatics,
 * @license       BSD License (http://creativecommons.org/licenses/BSD/)
 */
class ParameterReplacerComponent extends Object
{
	/**
	 * $groupIDをグループKeyに置換します。
	 * @param $groupkey グループKEY
	 * @param $value 置換元の文字列
	 */
	function replaceGroupKey($groupkey, $value) {
		$key = urlencode($groupkey);
		$str = preg_replace('/\$groupID/i', $key, $value);
		return $str;
	}

	/**
	 * $entityIDをIdPのentityIDに置換します。
	 * @param $value 置換元の文字列
	 */
	function replaceEntityId($value) {
		$entityid = urlencode($_SERVER["Shib-Identity-Provider"]);
		$str = preg_replace('/\$entityID/i', $entityid, $value);
		return $str;
	}

	/**
	 * $adminEmailを管理者のEmailに置換します。
	 */
	function replaceAdminEmail($adminEmail, $value) {
		$email = urlencode ($adminEmail);
		$str = preg_replace('/\$adminEmail/i', $email, $value);
		return $str;
	}
}
?>