<?php
/**
 * Url Component
 *
 * PHP versions 5
 *
 * @copyright     Copyright (c) 2011 - 2012, National Institute of Informatics,
 * @license       BSD License (http://creativecommons.org/licenses/BSD/)
 */
App::import('Core', 'HttpSocket');

class UrlComponent extends Object {

	var $components = array('Common');

	function initialize(&$controller) {
		$this->controller =& $controller;
	}

	/**
	 * IPv6アドレスかチェックします
	 *
	 * @param $addr 判定するIPアドレス
	 * @return 判定結果
	 */
	private function isIPv6address($addr) {
		if (filter_var($addr, FILTER_VALIDATE_IP, FILTER_FLAG_IPV6)) {
			return true;
		}
		return false;
	}

	/**
	 * URLにアクセスし、直ぐにクローズします。
	 * @param $path PATH
	 */
	function get($path) {
		$environment = $this->Common->isProduction() ? 'production' : 'test';
		$host = Configure::read($environment.".host");
		if (empty($host)) {
			$host = $_SERVER['SERVER_ADDR'];
			if (isIPv6address($host)) {
				$host = '['.$host.']';
			}
		}
		$prefix = '';
		if ($_SERVER['SERVER_ADDR'] === '127.0.0.1' || $_SERVER['SERVER_ADDR'] === '::1') {
			$host = 'localhost';
			$port = 80;
		} else {
			$prefix = 'ssl://';
			$port = 443;
		}
		$fp = fsockopen($prefix.$host, $port, $errno, $errstr, 10);
		if (!$fp) {
			$this->controller->log("UrlComponent fsockopen error   $errstr ($errno)", 'error');
			return false;
		}

		$out  = "GET $path HTTP/1.1\r\n";
		$out .= "Host: $host\r\n";
		$out .= "Connection: Close\r\n\r\n";
		fwrite($fp, $out);
		fclose($fp);
		return true;
	}
}
?>