<?php
/**
 * Table Controller
 *
 * PHP versions 5
 *
 * @copyright     Copyright (c) 2011 - 2012, National Institute of Informatics,
 * @license       BSD License (http://creativecommons.org/licenses/BSD/)
 */
class TablesController extends AppController {
	var $name = 'Tables';
	var $uses = array('SpHost', 'SpAdministrator', 'Mygroup');

	function beforeFilter() {
		$count = $this->Mygroup->find('count', array('conditions' =>array(
				'account_id' => $this->getAccountID(), 'admin' => 1, 'groupid' => 1)));
		if ($count <= 0) {
			$this->cakeError('cannotAccess', array('url' => $this->here));
		}
	}

	/**
	 * sphostsテーブルを表示する。
	 */
	function sphosts_index() {
		$records = $this->SpHost->find('all', array('order' => 'id'));
		$this->set('records', $records);
	}

    /**
     * sphostsテーブルからデータを削除する。
     * @param $id
     */
    function sphosts_delete($id) {
        $this->SpHost->deleteAll(array('id' => $id), false);
        $this->Session->setFlash($id.' has been deleted.', 'message');
        $this->redirect('/system/tables/sphosts_index/');
    }

    /**
     * spadministratorsテーブルを表示する。
     */
    function spadministrators_index() {
		$records = $this->SpAdministrator->find('all', array('order' => 'id'));
		$this->set('records', $records);
	}

	/**
	 * spadministratorsテーブルに追加する。
	 */
    function spadministrators_add() {
        if (empty($this->data)) {
        	return;
        }

        $spAdmin['SpAdministrator']['eppn'] = $this->data['Tables']['eppn'];
        $spAdmin['SpAdministrator']['entityid'] = $this->data['Tables']['entityid'];
        if ($this->SpAdministrator->save($spAdmin)) {
            $this->Session->setFlash('finish', 'message');
            $this->redirect('/system/tables/spadministrators_index/');
        }
    }

    /**
     * spadministratorsテーブルからデータを削除する。
     * @param $id
     */
    function spadministrators_delete($id) {
        $this->SpAdministrator->deleteAll(array('id' => $id), false);
        $this->Session->setFlash($id.' has been deleted.', 'message');
        $this->redirect('/system/tables/spadministrators_index/');
    }

    /**
     * spadministratorsテーブルを編集する。
     * @param $id
     */
    function spadministrators_edit($id = null) {
    	if (empty($this->data)) {
        	$spAdmin = $this->SpAdministrator->find('first', array('conditions' => array('id' => $id)));
    		$this->data = $spAdmin;
    		$this->set('id', $id);
        } else {
     	    $spAdmin = $this->SpAdministrator->find('first', array('conditions' => array('id' =>  $this->data['Tables']['id'])));
	    $spAdmin['SpAdministrator']['eppn'] = $this->data['Tables']['eppn'];
    	    $spAdmin['SpAdministrator']['entityid'] = $this->data['Tables']['entityid'];
            if ($this->SpAdministrator->save($spAdmin)) {
            	$this->Session->setFlash('updated.  id='.$this->data['Tables']['id'], 'message');
            	$this->redirect('/system/tables/spadministrators_index/');
            }
        }
    }
}
?>
