<?php
/**
 * Language Controller
 *
 * PHP versions 5
 *
 * @copyright     Copyright (c) 2011 - 2012, National Institute of Informatics,
 * @license       BSD License (http://creativecommons.org/licenses/BSD/)
 */
class LanguagesController extends AppController {
	var $name = 'Languages';
	var $uses = array('Account');
	var $components = array("Session") ;

	function beforeFilter() {
		$this->accessLog();
	}

	function change($lang) {
		$params = Router::getParams(true);
		$path = Configure::read("production.context_path");
		$pos = strpos($params['url']['a'], $path);
		if ($pos === false || $pos > 0) {
			$this->cakeError('badRequest');
		}
		$returnUrl = str_replace($path, '', $params['url']['a']);
		$pos = strpos($returnUrl, '/');
		if ($pos === false || $pos > 0) {
			$this->cakeError('badRequest');
		}

		$this->changeLanguage($lang);

		$account = $this->Account->find('first', array(
				'fields' => array('id', 'language', 'name', 'name_en'),
				'conditions' => array('id' => $this->getAccountID())));
		if (!empty($account)) {
			$account['Account']['language'] = $lang;
			$this->Account->save($account);
			$this->setAccountName($lang, $account);
		}

		$this->redirect($returnUrl);
	}
}
?>
