<?php
/**
 * Texts Controller
 *
 * PHP versions 5
 *
 * @copyright     Copyright (c) 2022, SOUM Corporation.
 * @license       BSD License (http://creativecommons.org/licenses/BSD/)
 */
class TextsController extends AppController {
	var $name = 'Texts';
	var $uses = array();

	// 利用可能 msgid
	var $availableList = array(
		"message.categories.account.del",
		"message.account.expire.arraival.url",
		"message.groups.invalid.url",
		"message.accounts.unify.not.acquire",
		"message.accounts.unify.same.accounts",
		"message.accounts.unify.cancel",
		"message.accounts.unify.url.illegal",
		"message.accounts.unify.different.accounts",
		"message.accounts.unify.already",
		"errors.illegal.access.message"
	);

	function beforeFilter() {
		$this->autoRender = false;
	}

	function get($locale, $msgid) {
		$idKey = array_search($msgid, $this->availableList);
		if ($idKey === false) {	// 表示不可
			return;
		}

		Configure::write('Config.language', $locale);
		$message = __($msgid, true);
		echo $message;
	}
}
?>
