<?php
/**
 * Agreement Model
 *
 * PHP versions 5
 *
 * @copyright     Copyright (c) 2011 - 2012, National Institute of Informatics,
 * @license       BSD License (http://creativecommons.org/licenses/BSD/)
 */
class Agreement extends AppModel
{
    var $name = 'Agreement';

    /*
	 * 同意している属性を取得する
	 * @param $spcid SPコネクタID
	 * @param $accountid アカウントID
	 */
	function getAgreedList($spcid, $accountid) {
		$agreemen = $this->find('first', array('conditions' => array(
			'account_id' => $accountid, 'group_id' => $spcid)));

		$list = array();
		$list['eptid'] = false;
		$list['name'] = false;
		$list['mail'] = false;
		$list['eppn'] = false;
		$list['idp'] = false;
		$list['introduction'] = false;
		$list['language'] = false;
		$list['organization'] = false;
		if (empty($agreemen)) {
			return $list;
		}

		if ($agreemen['Agreement']['eptid']) {
			$list['eptid'] = true;
		}
		if ($agreemen['Agreement']['name']) {
			$list['name'] = true;
		}
		if ($agreemen['Agreement']['mail']) {
			$list['mail'] = true;
		}
		if ($agreemen['Agreement']['eppn']) {
			$list['eppn'] = true;
		}
		if ($agreemen['Agreement']['idp']) {
			$list['idp'] = true;
		}
		if ($agreemen['Agreement']['introduction']) {
			$list['introduction'] = true;
		}
		if ($agreemen['Agreement']['language']) {
			$list['language'] = true;
		}
		if ($agreemen['Agreement']['organization']) {
			$list['organization'] = true;
		}

		return $list;
	}

    /**
     * 属性ID(ismemberof, eptid等)に該当する属性名(日本語、英語)を返します。
     * @param $add_attributes
     */
    function getAttributeShowList($attrList) {
    	$resultList['ja'] = array();
    	$resultList['eng'] = array();
    	foreach ($attrList as $attr) {
	    	if ($attr === 'ismemberof') {
				array_push($resultList['ja'], __("common.group.id.ja", true));
				array_push($resultList['eng'], __("common.group.id.eng", true));
			} else if ($attr === 'eptid') {
				array_push($resultList['ja'], __("common.eptid", true));
				array_push($resultList['eng'], __("common.eptid", true));
			} else if ($attr === 'name') {
				array_push($resultList['ja'], __("common.name.jp", true));
				array_push($resultList['eng'], __("common.name.en", true));
			} else if ($attr === 'mail') {
				array_push($resultList['ja'], __("common.mailaddress.ja", true));
				array_push($resultList['eng'], __("common.mailaddress.eng", true));
			} else if ($attr === 'eppn') {
				array_push($resultList['ja'], __("common.eppn", true));
				array_push($resultList['eng'], __("common.eppn", true));
			} else if ($attr === 'idp') {
				array_push($resultList['ja'], __("common.idp.jp", true));
				array_push($resultList['eng'], __("common.idp.en", true));
			} else if ($attr === 'introduction') {
				array_push($resultList['ja'], __("common.my.introduction.jp", true));
				array_push($resultList['eng'], __("common.my.introduction.en", true));
			} else if ($attr === 'language') {
				array_push($resultList['ja'], __("common.language.jp", true));
				array_push($resultList['eng'], __("common.language.en", true));
			}
    	}
    	return $resultList;
    }
}
?>
