<?php
/**
 * GroupAdminSpSort Model
 *
 * PHP versions 5
 *
 * @copyright     Copyright (c) 2011 - 2012, National Institute of Informatics,
 * @license       BSD License (http://creativecommons.org/licenses/BSD/)
 */
class GroupAdminSpSort extends AppModel
{
	var $name = 'GroupAdminSpSort';


	/**
	 * SPコネクタIDを表示順の配列で取得します。
	 * @param $groupid
	 * @return [SPコネクタのID] => 表示順
	 */
	function findSpIdListByIdp($groupid) {
		$entity = $this->find('first', array(
			'fields' => array('spc_id_list'),
			'conditions' => array('groupid' => $groupid)));
		if (!empty($entity)) {
			$spcIdList = $entity['GroupAdminSpSort']['spc_id_list'];
			$list = explode(',', $spcIdList);
			$list = array_flip($list);
			return $list;
		}
		return '';
	}

	/**
	 * 対象機関の表示順を全て更新します。
	 * @param $groupid グループID
	 * @param $spcidList SPコネクタID一覧（,連結）
	 * @param $userid ユーザID
	 */
	function updateAll($groupid, $spcidList, $userid) {
		$entity = $this->find('first', array('conditions' => array('groupid' => $groupid)));
		if (empty($entity)) {
			$this->create();
			$entity['GroupAdminSpSort']['groupid'] = $groupid;
		}

		$entity['GroupAdminSpSort']['spc_id_list'] = $spcidList;
		$entity['GroupAdminSpSort']['modified_account_id'] = $userid;
		$entity['GroupAdminSpSort']['modified'] = null;
		$result = $this->save($entity);
		if (!$result) {
			return false;
		}
		return true;
	}
}
?>