<?php
/**
 * GroupExtendedValue Model
 *
 * PHP versions 5
 *
 * @copyright     Copyright (c) 2019, National Institute of Informatics,
 * @license       BSD License (http://creativecommons.org/licenses/BSD/)
 */

App::import('Model', 'ExtendedAttribute');

class GroupExtendedValue extends AppModel {
	var $name = 'GroupExtendedValue';

	var $validate = array(
		'value' => array(
			'minlength' => array(
				'rule' => array('minLength', '1'),
				'required' => true,
				'message' => 'validation.enter',
			),
			'maxlength' => array(
				'rule' => array('maxLength', '1024'),
				'message' => 'validation.maxlength',
				'last' => true
			),
		),
	);

	public function deleteAll($conditions, $cascade = true, $callback = false) {
		$extendedAttribute = new ExtendedAttribute();
		$extAttrConditions = array('kind' => 1, 'value' => 'group');
		if (isset($conditions['spc_id'])) {
			$extAttrConditions['spc_id'] = $conditions['spc_id'];
			unset($conditions['spc_id']);
		}
		$extAttrIdList = $extendedAttribute->find('list', array(
					'fields' => array('id'),
					'conditions' => $extAttrConditions));

		$conditions['extended_attribute_id'] = $extAttrIdList;
		return parent::deleteAll($conditions, $cascade, $callback);
	}
}
?>
