<?php
/**
 * IdPAdministrator Model
 *
 * PHP versions 5
 *
 * @copyright     Copyright (c) 2016, SOUM Corporation.
 * @copyright     Copyright (c) 2011 - 2012, National Institute of Informatics,
 * @license       BSD License (http://creativecommons.org/licenses/BSD/)
 */
class IdpAdministrator extends AppModel{
    var $name = 'IdpAdministrator';

	/**
	 * IdP管理者かを判定します。
	 * @param $entityid IdPのエンティティID
	 */
	function isAdmin($eppn, $eptid, $entityid) {
		$entity = array();
		if (!empty($eppn)) {
			$entity = $this->find('first', array(
				'conditions' => array('entityid' => $entityid, 'eppn' => $eppn)));
		} else if (!empty($eptid)) {
			$entity = $this->find('first', array(
				'conditions' => array('entityid' => $entityid, 'eptid' => $eptid)));
		}

		if (empty($entity)) {
			return false;
		}
		return true;
	}

	/**
	 * いずれかのIdP管理者かを判定します。
	 * @param $eppn eppn
	 * @param $eptid eptid 
	 */
	function isAdminAny($eppn, $eptid) {
		$entity = array();
		if (!empty($eppn)) {
			$entity = $this->find('first', array(
				'conditions' => array('eppn' => $eppn)));
		} else if (!empty($eptid)) {
			$entity = $this->find('first', array(
				'conditions' => array('eptid' => $eptid)));
		}

		if (empty($entity)) {
			return false;
		}
		return true;
	}
}
?>
