<?php
/**
 * ManageGroup Model
 *
 * PHP versions 5
 *
 * @copyright     Copyright (c) 2011 - 2012, National Institute of Informatics,
 * @license       BSD License (http://creativecommons.org/licenses/BSD/)
 */

App::import('Model', 'Group');

class ManageGroup extends Group {
	var $name = 'ManageGroup';
	var $useTable = 'groups';

	var $validate = array(
		'name' => array(
			'minlength' => array(
				'rule' => array('minLength', '1'),
				'required' => true,
				'message' => 'validation.enter',
			),
			'maxlength' => array(
				'rule' => array('maxLength', '200'),
				'message' => 'validation.maxlength',
				'last' => true
			),
			'duplication' => array(
				'rule' => array('duplicateGroupName'),
				'message' => 'validation.duplication.group',
			),
		),

		'introduction' => array(
			'minlength' => array(
				'rule' => array('minLength', '1'),
				'required' => true,
				'message' => 'validation.enter',
			),
			'maxlength' => array(
				'rule' => array('maxLength', '400'),
				'message' => 'validation.maxlength',
				'last' => true
			),
		),
		'file' => array(
			'resource'   => array('rule' => 'checkResource'),
			'access'     => array('rule' => 'checkAccess'),
			'size'       => array(
				'message' => 'errors.group.icon.size',
				'rule' => array('checkSize', '10M'),
			),
			'extension'  => array(
				'message' => 'errors.group.icon.mimetype',
				'rule' => array('checkExtension', false, array(
					'jpg', 'jpeg', 'png', 'gif'
				)),
			),
			'mimeType'   => array(
				'message' => 'errors.group.icon.mimetype',
				'rule' => array('checkMimeType', false, array(
					'image/jpeg', 'image/png', 'image/gif',
				)),
			),
		),
	);

	function getData($key) {
		return $this->data['ManageGroup'][$key];
	}
}
?>
