<?php
/**
 * GroupList Controller Test
 *
 * PHP versions 5
 *
 * @copyright     Copyright (c) 2011 - 2012, National Institute of Informatics,
 * @license       BSD License (http://creativecommons.org/licenses/BSD/)
 */
require_once('app'.DS.'tests'.DS.'cases'.DS.'controllers'.DS.'controllerTestCase.php');
App::import('Model', 'Group');

class GroupListsControllerTest extends ControllerTestCase  {
	function startCase() {
		parent::startCase();
		$this->Group =& ClassRegistry::init('Group');
	}

	function endCase() {
		parent::endCase();
		unset($this->Group);
	}

	function startTest($method) {
		parent::startTest($method);
		$this->deleteData();
	}

	function endTest($method) {
		parent::endTest($method);
		$this->deleteData();
	}

	private function deleteData() {
		$group = $this->Group->find('first', array('conditions' => array('group_key' => 'GroupListsControllerTest')));
		if (!empty($group)) {
			$this->Group->delete($group['Group']['id']);
		}
	}

	/**
	 * 入会画面を表示することを確認
	 */
	function testJoinConfirm_ShowJoin() {
		$group['Group'] = array(
				'Test GroupLists' => 'name', 'group_key' => 'GroupListsControllerTest',
				'inspectjoin' => 0,
				'active' => 0);
		$this->Group->create();
		$result = $this->Group->save($group);
		$groupId = $this->Group->getLastInsertID();
		$this->assertTrue($result);

		$result = $this->testAction('/group_lists/join_confirm/'.$groupId, array('return' => 'vars'));
		$this->assertTrue(isset($result['cakeDebug']->viewVars['alreadyApplication']));
		$this->assertTrue($result['cakeDebug']->viewVars['group']);
	}


	/**
	 * 入会できない設定で入会できないことを確認
	 */
	function testJoinConfirm_CannotJoin() {
		$group['Group'] = array(
				'Test GroupLists' => 'name', 'group_key' => 'GroupListsControllerTest',
				'inspectjoin' => 2, 'active' => 0);
		$this->Group->create();
		$result = $this->Group->save($group);
		$groupId = $this->Group->getLastInsertID();
		$this->assertTrue($result);

		$result = $this->testAction('/group_lists/join_confirm/'.$groupId, array('return' => 'vars'));
		$this->assertFalse(isset($result['cakeDebug']->viewVars['alreadyApplication']));
		$this->assertFalse(isset($result['cakeDebug']->viewVars['groups']));
	}
}
?>
