<?php
/**
 * KyotoUAcJpImport Shell Test
 *
 * PHP versions 5
 *
 * @copyright     Copyright (c) 2011 - 2012, National Institute of Informatics,
 * @license       BSD License (http://creativecommons.org/licenses/BSD/)
 */
App::import('Core', 'Folder');
App::import('Shell', 'Shell', false);
App::import("Shell", "KyotoUAcJpImport");

if (!defined('DISABLE_AUTO_DISPATCH')) {
	define('DISABLE_AUTO_DISPATCH', true);
}

if (!class_exists('ShellDispatcher')) {
	ob_start();
	$argv = false;
	require CAKE . 'console' .  DS . 'cake.php';
	ob_end_clean();
}

Mock::generatePartial('ShellDispatcher', 'KyotoUAcJpImportShellMockShellDispatcher', array(
	'getInput', 'stdout', 'stderr', '_stop', '_initEnvironment'
));



class KyotoUAcJpImportShellTest extends CakeTestCase {

	/**
	 * Fixtures used in this test case
	 *
	 * @var array
	 * @access public
	 */
	var $fixtures = array(
		'core.post', 'core.comment', 'core.article', 'core.user',
		'core.tag', 'core.articles_tag', 'core.attachment');

	function setUp() {
		$this->Dispatcher =& new KyotoUAcJpImportShellMockShellDispatcher();
		$this->Shell =& new KyotoUAcJpImportShell($this->Dispatcher);
	}

	function tearDown() {
		ClassRegistry::flush();
	}

	function startCase() {
		$this->Shell->Account =& ClassRegistry::init('Account');
		$this->Shell->AccountEppn =& ClassRegistry::init('AccountEppn');
		$this->Shell->Transaction =& ClassRegistry::init('Transaction');
	}

	function testConstruct() {
		$this->assertIsA($this->Shell->Dispatch, 'KyotoUAcJpImportShellMockShellDispatcher');
		$this->assertEqual($this->Shell->name, 'KyotoUAcJpImportShell');
		$this->assertEqual($this->Shell->alias, 'KyotoUAcJpImportShell');
	}
}
?>