<?php
/**
 * MetadataShell
 * メタデータを扱う共通クラスです。
 *
 * PHP versions 5
 *
 * @copyright     Copyright (c) 2011 - 2012, National Institute of Informatics,
 * @license       BSD License (http://creativecommons.org/licenses/BSD/)
 */
App::import('Core', 'HttpSocket');
App::import('Core', 'Xml');
class MetadataShell extends Shell {

	/**
	 *
	 * @param $metaUrl メタデータファイルパス
	 */
	function metadataToXml($metaPath) {
		try{
			if (empty($metaPath)) {
				return false;
			}

			$metaXml = '';
			if ($fp = fopen($metaPath, 'rb')) {
				while (!feof($fp)) {
					$metaXml = $metaXml.fgets($fp);
				}
				fclose($fp);
			}
			if (empty($metaXml)) {
				$this->log('MetadataShell ERROR occurred.  XML could not be acquired.', "batch");
				echo 'XML could not be acquired.';
				return false;
			}

			$xml = new Xml($metaXml);
			$xmlAsArray = $xml->toArray();
			$xmlValidUntil = $xmlAsArray['EntitiesDescriptor']['validUntil'];

			return array('xmlAsArray' => $xmlAsArray, 'validUntil' => $xmlValidUntil);
		} catch (Exception $e) {
			$this->log('MetadataShell ERROR occurred. '.$e->getMessage(), "batch");
			return false;
		}
	}
}
?>