<?php
/**
 * ShowExtendedattrShell
 *
 * PHP versions 5
 *
 * @copyright     Copyright (c) 2019, National Institute of Informatics,
 * @license       BSD License (http://creativecommons.org/licenses/BSD/)
 */
/*
 * 拡張属性データを表示する
 * linux)
 *  $ cd /usr/local/map/cake/console
 *  $ ./cake -app /usr/local/map/app show_extendedattr
 */
class ShowExtendedattrShell extends Shell {
	var $uses = array('ExtendedAttribute', 'GroupExtendedValue', 'Group', 'SpHost', 'GroupSphost');

	function main() {
		$eAttrs = $this->ExtendedAttribute->find("all", array('order' => array('spc_id' => 'asc')));
		if(!is_array($eAttrs)){
			$this->out('NO DATA !' . "\n");
			exit;
		}

		//Print out each attribute's information
		$kindname = array("固定値", "グループ属性", "個人属性");
		foreach($eAttrs as $attr) {
			$spcid = $attr['ExtendedAttribute']['spc_id'];
			$this->out('spc_id: ' . $spcid);
			$this->out('SPC Name: ' . $this->Group->getGroupName($spcid, 'ja'));
			$targetSp = $this->GroupSphost->find('list', array(
				'fields' => array('sp_id', 'sp_id'),
				'conditions' => array('group_id' => $spcid)));
			$spHostList = $this->SpHost->find('all', array('fields' => array('id', 'entityid'),
				'conditions' => array('id' => $targetSp)));
			foreach($spHostList as $spHost) {
				$this->out('SP entityID: ' . $spHost['SpHost']['entityid']);
			}
			$kind = $attr['ExtendedAttribute']['kind'];
			$this->out('kind: ' . $kind . ' = ' . $kindname[$kind]);
			$this->out('name: [' . $attr['ExtendedAttribute']['name']. ']');
			$this->out('friendly_name: [' . $attr['ExtendedAttribute']['friendly_name']. ']');
			if ($kind != 1) {
				$this->out('value: [' . $attr['ExtendedAttribute']['value'] . "]");
			}
			$this->out("\n" . '----------------------------------------' . "\n");
		}
	}
}
?>