<?php
/**
 *
 * PHP versions 4 and 5
 *
 * CakePHP(tm) : Rapid Development Framework (http://cakephp.org)
 * Copyright 2005-2010, Cake Software Foundation, Inc. (http://cakefoundation.org)
 *
 * Licensed under The MIT License
 * Redistributions of files must retain the above copyright notice.
 *
 * @copyright     Copyright (c) 2016, SOUM Corporation.
 * @copyright     Copyright 2005-2010, Cake Software Foundation, Inc. (http://cakefoundation.org)
 * @link          http://cakephp.org CakePHP(tm) Project
 * @package       cake
 * @subpackage    cake.cake.libs.view.templates.layouts
 * @since         CakePHP(tm) v 0.10.0.1076
 * @license       MIT License (http://www.opensource.org/licenses/mit-license.php)
 */
?>
<!DOCTYPE HTML>
<?php $lang = ($this->Session->read('accountLanguage') === 'eng') ? 'en' : 'ja'; ?>
<html lang="<?php echo $lang; ?>">
<head>
  <?php echo $html->charset(); ?>

  <meta name="viewport" content="width=device-width, initial-scale=1, minimum-scale=1, maximum-scale=1, user-scalable=no">
  <title>
<?php $title = ($_SERVER['HTTP_HOST'] == Configure::read("production.host") ? __('default.map', true) : __('default.test', true)) ?>
<?php echo $title.':'.$title_for_layout; ?>
  </title>
<?php echo $html->meta('icon'); ?>
<?php echo $html->css('style'); ?>
<?php echo $html->css('jquery-ui.1.10.4'); ?>

<?php echo $javascript->link('respond.min'); ?>
<?php echo $javascript->link('jquery-1.8.3.min'); ?>
<?php echo $javascript->link('jquery-ui-1.10.4.min'); ?>
<?php echo $javascript->link('jquery.cookie'); ?>
<?php echo $javascript->link('js-base64/base64.min'); ?>
<?php echo $javascript->link('script'); ?>
<?php echo $scripts_for_layout; ?>

<?php if(isset($no_cache)): ?>
<meta http-equiv="Pragma" content="no-cache">
<meta http-equiv="Cache-Control" content="no-cache">
<meta http-equiv="Expires" content="0">
<?php endif; ?>

<?php if (Configure::read('debug') == 2): ?>
<style>
.cake-sql-log {
	margin-bottom: 70px;
	clear: both;
}
</style>
<?php endif; ?>
</head>
<body>

<div class="container row">
	<header role="banner" class="row">
		<h1 class="col span_8">
			<?php echo $html->link(
				$html->image('cg_logo_head.png', array('width' => '150', 'alt' => $title, 'style' => 'vertical-align: bottom;')),
				'/top/index', array('class' => 'home', 'escape' => false)); ?>
			<?php echo $html->link(__('top.menu.mygr', true), '/mygroups/view',
				array('class' => 'home', 'style' => 'font-size:80%; vertical-align:text-bottom')) ?>
		</h1>
		<nav id="headerMenu" class="togMenu col span_16 disnoneSP">
			<?php echo $this->element('menu', array('headerMenu' => true)); ?>
		</nav>
	</header>

<?php echo $this->element('announce'); ?>

	<main role="main" class="row gutters" id="contents">
		<?php echo $content_for_layout; ?>
		<?php echo $this->element('sql_dump'); ?>
	</main>

	<div id="footerMenuSP" class="disnonePC">
		<?php echo $this->element('menu', array('headerMenu' => false)); ?>
	</div>

	<footer role="contentinfo" class="row">
		<?php $privacy_policy = Configure::read('privacy_policy.default'); ?>
		<?php $guidelines_of_use = Configure::read('guidelines_of_use.default'); ?>
		<?php $helpdesk = Configure::read('helpdesk.default'); ?>
		<?php echo $html->link(__('common.privacy.policy', true), $privacy_policy, array('class' => 'footer', 'target' => '_blank')); ?> | <?php echo $html->link(__('common.guidelines.use', true), $guidelines_of_use, array('class' => 'footer')); ?> | <?php echo $html->link(__('common.helpdesk', true), $helpdesk, array('class' => 'footer')); ?>
		<p class="copyright">Copyright(C) National Institute of Informatics</p>
	</footer>
</div>

</body>
</html>
