<?php echo $this->element("aside", array('span' => 6)) ?>
<article class="col span_18">
<?php echo $this->element("article") ?>
<h3><?php echo __("auto_group_agreements", true) ?></h3>

<?php echo $form->create('AutoGroupAgreement', array('action' => 'join')); ?>
<?php echo $form->hidden('first_groupid', array('value'=> $this->data['AutoGroupAgreement']['first_groupid']))?>
<?php echo $form->hidden('second_groupid', array('value'=> $this->data['AutoGroupAgreement']['second_groupid']))?>

	<div><?php e(__('auto_group_agreements.description', true)); ?></div>

		<table>
		<tr>
			<th style="min-width:150px;"><?php __('common.group.name'); ?></th>
			<th style="width:80px;"><?php __('common.join.count'); ?></th>
			<th><?php __('common.introduction'); ?></th>
		</tr>
		<?php foreach ($groupList as $group): ?>
		<tr>
			<td>
				<div>
					<?php echo $html->link($group['Group']['name'].$group['Group']['name_en'], '/group_lists/detail/'.$group['Group']['id'], array('target' => '_blank')); ?>
				</div>
			</td>
			<td>
				<?php echo isset($countList[$group['Group']['id']]) ? $countList[$group['Group']['id']] : 0; ?>
			</td>
			<td>
				<div><?php echo h($group['Group']['introduction'].$group['Group']['introduction_en']);?></div>
			</td>
		</tr>
		<?php endforeach; ?>
		</table>

		<?php if (count($provideAttributeList) > 0): ?>
			<div style="padding-bottom:16px;">
				<?php echo __('group_lists.join.confirm.description', true) ?>
			</div>
		<?php endif; ?>

		<?php foreach ($provideAttributeList as $agreement): ?>
			<?php $spcid = $agreement['ProvideAttribute']['group_id']; ?>
			<table class="form">
			<tr>
				<th><?php echo __("common.sp.service.name", true) ?></th>
				<td>
					<ul>
					<?php foreach ($agreement['spc_service_name_list'] as $serviceName): ?>
						<li><?php echo h($serviceName); ?></li>
					<?php endforeach; ?>
					</ul>
				</td>
			</tr>
			<tr>
				<th><?php echo __("common.sp.use.attribute", true) ?></th>
				<td>
				<?php $agreement_values = Configure::read('agreement_values'); ?>
				<?php $agreement_types = array('ismemberof', 'eptid', 'name', 'mail', 'idp', 'language', 'introduction'); ?>
				<?php foreach ($agreement_types as $agreement_type): $agreement_value = $agreement_values[$agreement_type]; ?>
					<?php if (!$agreement['ProvideAttribute'][$agreement_type]) continue; ?>

					<p class="bold">
					<?php if ($agreedList[$spcid][$agreement_type]): ?>
						<?php __("common.".$agreement_value['label']) ?><?php __("common.agreed") ?>
					<?php else: ?>
						<?php __("common.".$agreement_value['label']) ?>
					<?php endif; ?>
					</p>
					<p><?php echo __(sprintf('common.%s.use', $agreement_value['use']), true) ?></p>
				<?php endforeach; ?>
				</td>
			</tr>
			</table>
			<br />
		<?php endforeach; ?>

		<div class="submitArea">
		<?php if (count($provideAttributeList) > 0): ?>
			<?php $color = isset($this->data['AutoGroupAgreement']['error_agreement']) ? "color:red;" : '' ?>
			<p class="agreement_check" style="<?php e($color) ?>">
				<label>
					<?php echo $form->checkbox('agreement') ?>
					<?php echo __("group_lists.agree.sending.attribute", true) ?>
				</label>
			</p>
		<?php endif; ?>

			<p class="agreement_check">
				<?php echo $form->checkbox('entrustment') ?>
				<?php echo __("group_lists.entrustment", true) ?>
			</p>

			<p>
				<?php e(__('auto_group_agreements.attention', true)); ?>
			</p>
			<?php echo $form->submit(__("common.join", true), array('name' => 'join', 'div' => false, 'class' => 'submitBtn')) ?>
			<?php echo $form->submit(__("common.cancel", true), array('name' => 'cancel', 'div' => false, 'class' => 'resetBtn')) ?>
		</div>

<?php echo $form->end(); ?>

		</article>

