/* CG-916: reduce groups.link_for_idp_administrator to 1024 */
ALTER TABLE `groups` CHANGE `link_for_idp_administrator` `link_for_idp_administrator` VARCHAR(1024) NULL DEFAULT NULL;

/* CG-916: extend group_sphosts.lead_url to 1024 */
ALTER TABLE `group_sphosts` CHANGE `lead_url` `lead_url` VARCHAR(1024) NULL DEFAULT NULL;

/* CG-916: extend group_sphosts.callback_url to 1024 */
ALTER TABLE `group_sphosts` CHANGE `callback_url` `callback_url` VARCHAR(1024) NULL DEFAULT NULL;

/* CG-916: extend group_sphosts.relogin_url to 1024 */
ALTER TABLE `group_sphosts` CHANGE `relogin_url` `relogin_url` VARCHAR(1024) NULL DEFAULT NULL;

/* CG-916: extend group_sphosts.lead_non_map_url to 1024 */
ALTER TABLE `group_sphosts` CHANGE `lead_non_map_url` `lead_non_map_url` VARCHAR(1024) NULL DEFAULT NULL;

/* CG-1145: delete categories and group_categories */
DROP TABLE IF EXISTS `categories`;
DROP TABLE IF EXISTS `group_categories`;

/* CG-1282: */
ALTER TABLE `sp_administrators` CHANGE `host_name` `host_name` VARCHAR(100) NULL DEFAULT NULL;

/* CG-1408: Add extended_attributes table */
CREATE TABLE IF NOT EXISTS `extended_attributes` (
  `id` int unsigned NOT NULL auto_increment,
  `spc_id` int NOT NULL,
   `kind` smallint default 0,
  `name` varchar(1024) NOT NULL,
  `friendly_name` varchar(1024) NOT NULL,
  `value` varchar(1024) default NULL,
  `created` datetime default NULL,
  `modified` datetime default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/* CG-1408: Add group_extended_values table */
CREATE TABLE IF NOT EXISTS `group_extended_values` (
  `id` int unsigned NOT NULL auto_increment,
  `group_id` int NOT NULL,
  `extended_attribute_id` int NOT NULL,
  `value` varchar(1024) NOT NULL,
  `created` datetime default NULL,
  `modified` datetime default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/* CG-1654: add aq_id and valid to tmp_ismemberof */
DROP PROCEDURE IF EXISTS ALTER_TABLE_CG1654;
DELIMITER //
CREATE PROCEDURE ALTER_TABLE_CG1654()
BEGIN
  IF NOT EXISTS (SELECT NULL
                   FROM INFORMATION_SCHEMA.COLUMNS
                  WHERE TABLE_SCHEMA = 'vo'
                    AND TABLE_NAME   = 'tmp_ismemberof'
                    AND COLUMN_NAME  = 'aq_id') THEN
    ALTER TABLE tmp_ismemberof ADD COLUMN `aq_id` INT UNSIGNED NOT NULL AFTER `id`;
  END IF;

  IF NOT EXISTS (SELECT NULL
                   FROM INFORMATION_SCHEMA.COLUMNS
                  WHERE TABLE_SCHEMA = 'vo'
                    AND TABLE_NAME   = 'tmp_ismemberof'
                    AND COLUMN_NAME  = 'valid') THEN
    ALTER TABLE tmp_ismemberof ADD COLUMN `valid` INT(1) DEFAULT 0 AFTER `sp`;
  END IF;
END
//
DELIMITER ;

CALL ALTER_TABLE_CG1654();
DROP PROCEDURE ALTER_TABLE_CG1654;

/* CG-1588: */
ALTER TABLE `invites` ADD `forcible` INT DEFAULT 0 AFTER `temp_account_id`;

/* CG-1847: */
ALTER TABLE `invites` ADD `joined_account_id` INT DEFAULT NULL AFTER `forcible`;

/* CG-889: */
ALTER TABLE `agreements` ADD `eppn` SMALLINT DEFAULT 0 AFTER `mail`;
ALTER TABLE `agreements` ADD `before_eppn` SMALLINT DEFAULT 0 AFTER `before_mail`;
ALTER TABLE `inspect_attributes` ADD `eppn` SMALLINT DEFAULT 0 AFTER `mail`;
ALTER TABLE `provide_attributes` ADD `eppn` SMALLINT DEFAULT 0 AFTER `mail`;

/* CG-194: Add add_groups_spc_logs table */
CREATE TABLE IF NOT EXISTS `add_groups_spc_logs` (
  `id` int unsigned NOT NULL auto_increment,
  `kind` tinyint(1) default 0,
  `group_id` int NOT NULL,
  `spc_id` int NOT NULL,
  `add_group_id` int NOT NULL,
  `account_id` int default NULL,
  `auto` tinyint(1) default NULL,
  `sp_driven` tinyint(1) default NULL,
  `add_group_inspect_id` int default NULL,
  `created` datetime default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/* CG-2616: add last_login_approx */
ALTER TABLE `account_eppns` ADD `last_login_approx` datetime default CURRENT_TIMESTAMP AFTER `modified`;

/* CG-2618: Add sent_notice_mail_logs table */
CREATE TABLE IF NOT EXISTS `sent_notice_mail_logs` (
  `id` int unsigned NOT NULL auto_increment,
  `account_eppn_id` int(11) NOT NULL,
  `kind` smallint(6) NOT NULL default 1,
  `random` varchar(50) binary default NULL,
  `sent` datetime default NULL,
  `accessed` datetime default NULL,
  `pending` tinyint(1) default NULL,
  PRIMARY KEY  (`id`),
  UNIQUE(`random`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/* CG-2660: add spc_icon_logo */
ALTER TABLE `groups` ADD `spc_icon_logo` int(1) DEFAULT 0 AFTER `spc_icon_type`;
